Bug 171432 - Parley can't spellcheck with hunspell-de
Summary: Parley can't spellcheck with hunspell-de
Status: RESOLVED FIXED
Alias: None
Product: parley
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Parley Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-22 03:22 UTC by Kevin Kofler
Modified: 2011-04-04 14:19 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Kofler 2008-09-22 03:22:09 UTC
Version:            (using KDE 4.1.0)
OS:                Linux
Installed from:    Fedora RPMs

It is not possible to spellcheck German in Parley with the hunspell dictionaries (the default in Fedora):
1. Parley only allows to pick the language from a hardcoded list of languages/locales. It represents German as "de".
2. It then wants to use a spellchecker for exactly that locale.
3. Hunspell's German dictionaries, however, are called de_DE, de_AT, de_CH etc., there's no dictionary called just "de".
Thus, it fails to find a dictionary and we lose. (It says something to the effect of "cannot find dictionary for langauge 'de'".) The same problem probably also affects many other languages.
Comment 1 Kevin Kofler 2010-02-05 01:35:18 UTC
Ping? This is still not fixed in 4.3.4.
Comment 2 Frederik Gladhorn 2011-04-04 14:19:38 UTC
Git commit bdaabe145a527a9f3faf7132223e57579be1d9e1 by Frederik Gladhorn.
Committed on 04/04/2011 at 14:00.
Pushed by gladhorn into branch 'master'.

Rewrite spell-checking.

Make spell checking check only one language.
Add combobox to select speller on a per language base in language settings.

Currently it will check the selected column.
(It should offer the column titles in the menu instead.)

BUG: 171432
BUG: 236348
BUG: 252690
BUG: 269386
FIXED-IN: KDE 4.7.0

M  +24   -9    src/settings/languagepropertiespage.cpp     
M  +18   -5    src/settings/languagepropertiespage.ui     
M  +23   -17   src/settings/languagesettings.kcfg     
M  +44   -59   src/vocabulary/vocabularyview.cpp     
M  +6    -4    src/vocabulary/vocabularyview.h     

http://commits.kde.org/parley/bdaabe145a527a9f3faf7132223e57579be1d9e1